Subject: Re: bug#38360: Retroarch might violate FSDG

From: Nicolò Balzarotti <[email-masked]>
Date: Wed, 27 Nov 2019 00:26:48 +0100

Hi Ludo, thanks for your response.

We don't provide them _directly_, but when loading the program the first
option is "Load core". Then, first option again, is "Download core". Here
you have a list of "proprietary" .so.zip downloads. Retroarch, as far as I
understand, is encouraging the download of those programs, with no
licensing information (see [1]).  I don't know if this is ok or if we can
patch it (hiding the "Download core" menu maybe?).

Debian _does_ provide (from their package manager) some o the cores [2],
two of them with the non-free tag.
If we patch retroarch to hide the download menu, to make it functional we
should also package some free cores.

Thoughts?

Thanks again,
Nicolò

[1] https://docs.libretro.com/guides/download-cores/
[2] https://packages.debian.org/stretch/games/

Il giorno mar 26 nov 2019 alle ore 11:34 Ludovic Courtès <[email-masked]> ha
scritto:

> Hello,
>
> Nicolò Balzarotti <[email-masked]> skribis:
>
> > We might have a problem on how retroarch is packaged. I've never used it,
> > tried just now. There's the "core download" section where it downloads
> > "$core.so.zip". Those are .so files:
> > .config/retroarch/cores/atari800_libretro.so:     file format
> elf64-x86-64.
> > I think we should either compile them and ship them or remove the
> download
> > section or something.
>
> We should definitely remove all binary files from the “source” tarballs.
>
> > Also, when downloading cores there are no license info
>
> That should be investigated, indeed, possibly looking at what Debian is
> doing.
>
> > nckx provided this [1] as a useful link. It seems that some of the
> plugins
> > are available for non-commercial projects only (so not compatible with
> the
> > GPLv3, used by retroarch).
>
> We don’t provide those plugins though, do we?
>
> Thanks,
> Ludo’.
>